Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogicx.jsp.tags
Class ProcessTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          weblogicx.jsp.tags.ProcessTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class ProcessTag

extends TagSupport

The process tag is used to declaratively process the results of form submissions. By specifying conditions based on the values of request parameters you can include or not include JSP on your page.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ProcessTag()`

Method Summary
`int` | `doStartTag()`
`String` | `getName()`
`String` | `getNotName()`
`String` | `getNotValue()`
`String` | `getValue()`
`void` | `release()`
`void` | `setName(String name)` This is the name of the request parameter.
`void` | `setNotName(String notName)` This is the name of the request parameter that must be present for the enclosed JSP to be included.
`void` | `setNotValue(String notValue)` Only valid when name is set, this is the value that the name request parameter must not be equal to for this section of JSP to be included.
`void` | `setValue(String value)` Only valid when name is set, this is the value that the name request parameter must be equal to for this section of JSP to be included.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessTag

    public ProcessTag()

Method Detail

### setName

    public void setName(String name)

  This is the name of the request parameter. To which you may additionally specify value or notvalue. If "value" and "notvalue" are not set, the enclosed JSP is included if this request parameter is present.

### getName

    public String getName()

### setNotName

    public void setNotName(String notName)

  This is the name of the request parameter that must be present for the enclosed JSP to be included.

### getNotName

    public String getNotName()

### setValue

    public void setValue(String value)

  Only valid when name is set, this is the value that the name request parameter must be equal to for this section of JSP to be included.

### getValue

    public String getValue()

### setNotValue

    public void setNotValue(String notValue)

  Only valid when name is set, this is the value that the name request parameter must not be equal to for this section of JSP to be included.

### getNotValue

    public String getNotValue()

### doStartTag

    public int doStartTag()
                   throws JspException

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Throws:
    `JspException`

### release

    public void release()

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD